SPONSORS:






User Tag List

Page 1 of 2 12 LastLast
Results 1 to 10 of 14
  1. #1
    Junior Member
    Join Date
    Apr 2001
    Location
    Scotts Valley, CA
    Posts
    16
    Post Thanks / Like
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    SilkTest5.5 compatibility with JDK1.4

    Has anyone tried testing apps under JDK1.4 ? My developers want to switch to it, but the release notes for 5.5 SP2 only mention JDK 1.3x. Segue Tech Support say it's unlikely to work, but that I could try anyway. (Of course, I certainly WON'T just 'try' it and see. That's the path to uncertainty and ruin!)
    I don't see any mention of JDK1.4 in this forum yet. Are my developers just ahead of the curve? Is it reliable?

    ------------------

  2. #2
    Senior Member
    Join Date
    Mar 2000
    Location
    pisctaway, NJ USA
    Posts
    188
    Post Thanks / Like
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: SilkTest5.5 compatibility with JDK1.4

    1.4 Is reliable, but SILKTEST DOES NOT SUPPORT IT.

    If you search the forum, you will see 2 or three threads about this topic.

    The bottom line is SilkTest does not work at all with JRE 1.4. All objects are not recongized, nothing can be tested. I do not think your developers are ahead of the curve, most companies with any type of product with a active developement cycle will be using JRE 1.4-- this is why I dont understand why SEGUE is not working this issue as a FIX. It's my understanding that it's listed as an enhancement which will be out in the next release. Tech support told me the next release does not have a schedule at all.

    I would sugguest you and anyone else go ahead and make some tech support calls to Segue.

    They missed the boat bigtime on this- it doesnt surprise me though.

    Anthony


    ------------------

  3. #3
    Junior Member
    Join Date
    Apr 2001
    Location
    Scotts Valley, CA
    Posts
    16
    Post Thanks / Like
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: SilkTest5.5 compatibility with JDK1.4

    The word from the Segue folks at the Software Test Automation conference in San Jose this week is that JDK 1.4 will be supported in a service pack available on the Segue website this Friday (3/29/02).

    ------------------

  4. #4
    Senior Member
    Join Date
    Aug 1999
    Location
    San Diego, CA USA
    Posts
    219
    Post Thanks / Like
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: SilkTest5.5 compatibility with JDK1.4

    A few weeks ago I participated in a beta-type test of the JRE 1.4 support in ST 5.5. It worked fine on the sample apps that come with the full-blown JDK 1.4 and on the SilkTest sample app but not on my Java client app. The behavior appeared to be the same as with the current 5.5 SP2 release. I provided my to Segue for them to use during their troubleshooting.

    As of that time I was told that Segue was trying their darnedest to get JRE 1.4 support into the next service pack for both SilkTest 5.5 and SilkTest International (which is what I'm using). In the meantime my app now uses JRE 1.4 when installed for Japanese (but JRE 1.3 for all other languages) so I cannot use Silk on a Japanese installation.


    ------------------

  5. #5
    Senior Member
    Join Date
    Jul 1999
    Location
    Bellingham, WA USA
    Posts
    1,323
    Post Thanks / Like
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: SilkTest5.5 compatibility with JDK1.4

    Do you know if this will come out in a new service pack?



    ------------------

  6. #6
    Junior Member
    Join Date
    Apr 2001
    Location
    Scotts Valley, CA
    Posts
    16
    Post Thanks / Like
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: SilkTest5.5 compatibility with JDK1.4

    See my message above. But note that due to a 'show-stopper' issue they failed to meet the 3/29/02 date. I don't believe a new date has been announced yet.

    ------------------

  7. #7
    Member
    Join Date
    Oct 2000
    Location
    Bothell, WA, USA
    Posts
    54
    Post Thanks / Like
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: SilkTest5.5 compatibility with JDK1.4

    Anybody know if there has been any progress on this from Segue?

    Our developers have started work on the latest version of our Java application and upgraded to JRE 1.4.0. I have been using SilkTest v5.0.3.2 and it was suiting me fine so I have yet to upgrade to v5.5. Needless to say, I can't test our AUT now. According to what I've read on this forum, SilkTest still does not support JRE 1.4.0 (despite what Segue indicates on their web site).

    Any more insight (or release schedule info) that might help me?

    Thanks a lot.
    -Dan

    ------------------

  8. #8
    Senior Member
    Join Date
    Mar 2000
    Location
    pisctaway, NJ USA
    Posts
    188
    Post Thanks / Like
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: SilkTest5.5 compatibility with JDK1.4

    Dano-

    I would strongly suggest calling Segue directly and giving some feedback on you need for 1.4 support. Many support calls have been made, but still nothing is done. I have heard many dates, nothing has came true so I will not say when Segue has targeted the release--it will only set some more false expectations.

    Anthony

    ------------------

  9. #9
    Member
    Join Date
    Oct 2000
    Location
    Bothell, WA, USA
    Posts
    54
    Post Thanks / Like
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: SilkTest5.5 compatibility with JDK1.4

    Thanks Anthony.

    I submitted a request to Segue today and got the following (very prompt) reply:
    "Java JRE 1.4 will be supported by SilkTest 5.5 SP3 which is due to be released next week."

    Now we can just cross our fingers and wait.

    -Dan

    ------------------

  10. #10
    Super Member
    Join Date
    Jul 2001
    Location
    Earth
    Posts
    1,882
    Post Thanks / Like
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Re: SilkTest5.5 compatibility with JDK1.4

    Will be available the 10th is what the news is today

    ------------------
    James Soderborg
    http://www.ameliortech.com
    jamesso@ameliortech.com

 

 
Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

vBulletin Optimisation provided by vB Optimise v2.6.0 Beta 4 (Pro) - vBulletin Mods & Addons Copyright © 2016 DragonByte Technologies Ltd.
User Alert System provided by Advanced User Tagging v3.0.9 (Pro) - vBulletin Mods & Addons Copyright © 2016 DragonByte Technologies Ltd.
Questions / Answers Form provided by vBAnswers (Pro) - vBulletin Mods & Addons Copyright © 2016 DragonByte Technologies Ltd.
vBNominatevBulletin Mods & Addons Copyright © 2016 DragonByte Technologies Ltd.
Feedback Buttons provided by Advanced Post Thanks / Like (Pro) - vBulletin Mods & Addons Copyright © 2016 DragonByte Technologies Ltd.
Username Changing provided by Username Change (Free) - vBulletin Mods & Addons Copyright © 2016 DragonByte Technologies Ltd.
BetaSoft Inc.
Digital Point modules: Sphinx-based search
All times are GMT -8. The time now is 11:03 PM.

Copyright BetaSoft Inc.